| API Docs for SAX and DOM |
| Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members # XMemory Class Reference This class makes it possible to override the C++ memory management by adding new/delete operators to this base class. More... Inheritance diagram for XMemory: [legend] List of all members.
## Public Methods
The C++ memory management
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the placement new. More...
## Protected Methods
Constructor
| XMemory ()
| Protected default constructor and copy constructor. More...
| XMemory (const XMemory &)
## Detailed Description This class makes it possible to override the C++ memory management by adding new/delete operators to this base class. This class is used in conjuction with the pluggable memory manager. It allows applications to control Xerces memory management. ## Constructor & Destructor Documentation
XMemory::XMemory | ( |  | ) | `[protected]`
| Protected default constructor and copy constructor.
XMemory::XMemory | ( | const XMemory & |  | ) | `[protected]`
## Member Function Documentation
void XMemory::operator delete | ( | void * | p,
|  | MemoryManager * | memMgr
| ) |
  | This method provides a matching delete for the placement new. Parameters:
  p | The pointer to the allocated memory
  memMgr | An application's memory manager
void XMemory::operator delete | ( | void * | p | ) |
  | This method overrides operator delete. Parameters:
  p | The pointer to the allocated memory
void* XMemory::operator new | ( | size_t | size,
|  | MemoryManager * | memMgr
| ) |
  | This method overrides placement operator new. Parameters:
  size | The requested memory size
  memMgr | An application's memory manager
void* XMemory::operator new | ( | size_t | size | ) |
  | This method overrides operator new. Parameters:
  size | The requested memory size
The documentation for this class was generated from the following file: XMemory.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.